PrependTo[$Path, "../.."]

Needs["HEPMath`"]

Needs["HEPMath`LoopTools`"]

relDev[a_, b_, absprec_] := Block[{norm=Abs[a] + Abs[b]},
  If[norm <= absprec, Abs[a-b]/absprec, Abs[a-b]/norm]
]

muR = 172.0;
psq = 400.0*400.0;
pq  = 400.*25.;
m   = 15.

testCases = {
  PaVe[1, muR, 0][0][psq]/(psq - m^2) + PaVe[2, muR, 0][1][psq, pq, pq],

  PaVe[2, muR, 0][0][psq, 0., 0.],
  PaVe[2, muR, 0][0][psq, 0., 0.],
  PaVe[2, muR, 1][0][psq, 0., 0.],
  PaVe[2, muR, 2][0][psq, 0., 0.]
}

ltresults = Get["ltresults.mo"]

Do[
  diff = relDev[ testCases[[i]], ltresults[[i]], 10^(-14)];
  If[diff <= 10^(-14),
    WriteString[$Output, "Integral"<>ToString[PaddedForm[i,2]]<>": PASS\n"],
    WriteString[$Output, "Integral"<>ToString[PaddedForm[i,2]]<>": FAIL\n"]
  ],
  {i,Length[ltresults]}
];
